local L = LibStub("AceLocale-3.0"):GetLocale("ShadowFriend")
local BB = LibStub("LibBabble-Boss-3.0"):GetUnstrictLookupTable() 
local BZ = LibStub("LibBabble-Zone-3.0"):GetUnstrictLookupTable() 

-- ========================================================================== --
-- Database for different tiers
-- ========================================================================== --
ShadowFriend_dungeonDatabase = {
    [BZ["Ulduar"]] = {
		-- ================ Ulduar
		[BB["Ignis the Furnace Master"]] = BB["Ignis the Furnace Master"],
		[BB["Razorscale"]] = BB["Razorscale"],
		[BB["XT-002 Deconstructor"]] = BB["XT-002 Deconstructor"],
		[BB["Steelbreaker"]] = BB["The Iron Council"],
		[BB["Runemaster Molgeim"]] = BB["The Iron Council"],
		[BB["Stormcaller Brundir"]] = BB["The Iron Council"],
		[BB["Kologarn"]] = BB["Kologarn"],
		[BB["Right Arm"]] = BB["Kologarn"],
		[BB["Left Arm"]] = BB["Kologarn"],
		[BB["Auriaya"]] = BB["Auriaya"],
		[BB["Sanctum Sentry"]] = BB["Auriaya"],
		[BB["Feral Defender"]] = BB["Auriaya"],
		[BB["Freya"]] = BB["Freya"],
		[BB["Thorim"]] = BB["Thorim"],
		[BB["Hodir"]] = BB["Hodir"],
		[BB["Mimiron"]] = BB["Mimiron"],
		[BB["Leviathan Mk II"]] = BB["Mimiron"],
		[BB["VX-001"]] = BB["Mimiron"],
		[BB["Aerial Command Unit"]] = BB["Mimiron"],
		[BB["General Vezax"]] = BB["General Vezax"],
		[BB["Yogg-Saron"]] = BB["Yogg-Saron"],
		[BB["Sara"]] = BB["Yogg-Saron"],
		[BB["Brain of Yogg-Saron"]] = BB["Yogg-Saron"],
		[BB["Guardian of Yogg-Saron"]] = BB["Yogg-Saron"],
		[BB["Algalon the Observer"]] = BB["Algalon the Observer"],
	},
    
    
	[BZ["Naxxramas"]] = {
		-- ================ Naxxramas
		[BB["Anub'Rekhan"]] = BB["Anub'Rekhan"],
		[BB["Grand Widow Faerlina"]] = BB["Grand Widow Faerlina"],
		[BB["Maexxna"]] = BB["Maexxna"],
		[BB["Patchwerk"]] = BB["Patchwerk"],
		[BB["Grobbulus"]] = BB["Grobbulus"],
		[BB["Gluth"]] = BB["Gluth"],
		[BB["Thaddius"]] = BB["Thaddius"],
		[BB["Feugen"]] = BB["Thaddius"],
		[BB["Stalagg"]] = BB["Thaddius"],
		[BB["Noth the Plaguebringer"]] = BB["Noth the Plaguebringer"],
		[BB["Gothik the Harvester"]] = BB["Gothik the Harvester"],
		[BB["Heigan the Unclean"]] = BB["Heigan the Unclean"],
		[BB["Loatheb"]] = BB["Loatheb"],
		[BB["Instructor Razuvious"]] = BB["Instructor Razuvious"],
		[BB["Thane Korth'azz"]] = BB["The Four Horsemen"],
		[BB["Baron Rivendare"]] = BB["The Four Horsemen"],
		[BB["Lady Blaumeux"]] = BB["The Four Horsemen"],
		[BB["Sir Zeliek"]] = BB["The Four Horsemen"],
		[BB["Sapphiron"]] = BB["Sapphiron"],
		[BB["Kel'Thuzad"]] = BB["Kel'Thuzad"],
	},
	
	[BZ["The Obsidian Sanctum"]] = {
		-- ================ The Obsidian Sanctum
		[BB["Sartharion"]] = BB["Sartharion"],
	},
	
	[BZ["Vault of Archavon"]] = {
		-- ================ The Obsidian Sanctum
		[BB["Archavon the Stone Watcher"]] = BB["Archavon the Stone Watcher"],
	},
	
	[BZ["The Eye of Eternity"]] = {
		-- ================ The Obsidian Sanctum
		[BB["Malygos"]] = BB["Malygos"],
	},
	
}

