local L = LibStub("AceLocale-3.0"):NewLocale("ShadowFriend", "frFR", true)

-- Option table
L["options_config_name"] = "Configuration"
L["options_config_desc"] = "Ouvrir la fenêtre de configuration"
L["options_showhistory_name"] = "Historique"
L["options_showhistory_desc"] = "Ouvrir/fermer la fenêtre d'historique"

L["options_generaltab_name"] = "Général"
	L["options_general_name"] = "Général"
		L["options_general_onlynontrivial_name"] = "Boss uniquement"
		L["options_general_onlynontrivial_desc"] = "Les statistiques seront seulement enregistrés sur les bosses (vous pouvez définir ce qui est considéré comme boss dans l'onglet Définition boss)"
		L["options_general_debug_name"] = "Debug"
		L["options_general_debug_desc"] = "Active/désactive le mode debug"
		L["options_general_historysize_name"] = "Taille de l'historique"
		L["options_general_historysize_desc"] = "Nombre maximum de combats à garder en historique"
	L["options_swd_name"] = "Mot de l'Ombre: Mort"
		L["options_swd_threshold_name"] = "Seuil HP"
		L["options_swd_threshold_desc"] = "Tous les Mots de l'Ombre: Mort incantés avec les HP sous ce seuil seront considérés comme dangereux (0 = jamais considéré dangereux)"
	L["options_emphasize_name"] = "Sous-perfomances"
		L["options_emphasize_vt_name"] = "Toucher vampirique"
		L["options_emphasize_vt_desc"] = "Quand dans un combat l'uptime de Toucher Vampirique est en-dessous de ce seuil la statistique sera colorée en rouge"
		L["options_emphasize_swp_name"] = "Mot de l'ombre: mort"
		L["options_emphasize_swp_desc"] = "Quand dans un combat l'uptime de Mot de l'ombre : mort est en-dessous de ce seuil la statistique sera colorée en rouge"
		L["options_emphasize_dp_name"] = "Peste dévorante"
		L["options_emphasize_dp_desc"] = "Quand dans un combat l'uptime de Peste dévorante est en-dessous de ce seuil la statistique sera colorée en rouge"
		L["options_emphasize_mb_name"] = "Attaque Mentale"
		L["options_emphasize_mb_desc"] = "Quand dans un combat l'efficacité de la gestion du cooldown d'Attaque Mentale sera en-dessous de ce seuil la statistique sera colorée en rouge"
		L["options_emphasize_swd_name"] = "Mot de l'Ombre: Mort"
		L["options_emphasize_swd_desc"] = "Quand dans un combat l'efficacité de la gestion du cooldown de Mot de l'Ombre: Mort sera en-dessous de ce seuil la statistique sera colorée en rouge"
L["options_bosstab_name"] = "Définition boss"
	L["options_addmob_name"] = "Ajouter boss"
	L["options_addmob_desc"] = "Ajouter à la liste des bosses"
	L["options_addmobfromtarget_name"] = "Ajouter cible aux boss"
	L["options_addmobfromtarget_desc"] = "Ajouter la cible à la liste des bosses"
	L["options_loaddungeon_select_name"] = "Donjon"
	L["options_loaddungeon_select_desc"] = "Donjon à charger"
	L["options_loaddungeon_load_name"] = "Charger"
	L["options_loaddungeon_load_desc"] = "Charger la liste des bosses du donjon sélectionné"
	L["options_deletemob_name"] = "Supprimer boss"
	L["options_deletemob_desc"] = "Supprimer de la liste des bosses"
	L["options_encountername_name"] = "Nom du combat"
	L["options_encountername_desc"] = "Les statistiques du combat contre ce boss seront enregistrés sous ce nom"
	
	

-- GUI elements
L["History_Frame_Title"] = "Historique"
L["History_Frame_Stat1"] = "MO:M"
L["History_Frame_Stat1_desc"] = "Ratio entre le nombre de ticks de mot de l'ombre: mort\net le nombre de tick max basé sur la longueur du combat"
L["History_Frame_Stat2"] = "TV"
L["History_Frame_Stat2_desc"] = "Ratio entre le nombre de ticks de toucher vampirique\net le nombre de tick max basé sur la longueur du combat"
L["History_Frame_Stat3"] = "DP"
L["History_Frame_Stat3_desc"] = "Ratio entre le nombre de ticks de pest dévorante\net le nombre de tick max basé sur la longueur du combat"
L["History_Frame_Stat4"] = "AM"
L["History_Frame_Stat4_desc"] = "Ratio entre le nombre d'incantations d'Attaque Mentale\net le nombre d'incantation max basé sur la longueur du combat"
L["History_Frame_Stat5"] = "MO:M"
L["History_Frame_Stat5_desc"] = "Ratio entre le nombre d'incantations de Mot de l'Ombre: Mort\net le nombre d'incantation max basé sur la longueur du combat"
L["History_Frame_Stat6"] = "Avertissements"
L["History_Frame_Stat6	_desc"] = "Avertissements divers"
L["History_Frame_Stat7"] = "MO:M Optimal"
L["History_Frame_Stat7_desc"] = "En utilisant les données de ShadowGreenLight,\nce ratio estime si vous avez rafraîchi SWP de manière à bien profiter des buffs et debuffs raid\nAttention : il se peut que ce ratio soit supérieur à 100% sur certains fights"

-- Misc
L["Warning"] = "Avertissement"
L["encounter_tooltip"] = "Durée : %i min %i sec"
L["warning_tooltip_hazardousswd"] = "%i MO:M dangereux (%i total)"
L["warning_tooltip_deaths"] = "Mort %i fois dans le combat"
L["delete_fight_tooltip"] = "Supprimer les statistiques du combat"
L["delete_encounter_tooltip"] = "Supprimer les statistiques du combat"
